com.icl.saxon.sql

## Class SQLElementFactory

- java.lang.Object
- - com.icl.saxon.sql.SQLElementFactory

- All Implemented Interfaces:
    ExtensionElementFactory

      public class SQLElementFactory
      extends java.lang.Object
      implements ExtensionElementFactory

  Class SQLElementFactory.
  A "Factory" for SQL extension nodes in the stylesheet tree.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SQLElementFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class` | `getExtensionClass(java.lang.String localname)` Identify the class to be used for stylesheet elements with a given local name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SQLElementFactory

          public SQLElementFactory()

  - ### Method Detail

    - #### getExtensionClass

          public java.lang.Class getExtensionClass(java.lang.String localname)

      Identify the class to be used for stylesheet elements with a given local name. The returned class must extend com.icl.saxon.style.StyleElement
      Specified by:
        `getExtensionClass` in interface `ExtensionElementFactory`
      Returns:
        null if the local name is not a recognised element type in this namespace.